declare const KnownBrowsers$1: {
    chrome: string;
    brave: string;
    crios: string;
    edge: string;
    edg: string;
    edgios: string;
    fennec: string;
    jsdom: string;
    mozilla: string;
    fxios: string;
    msie: string;
    opera: string;
    opios: string;
    opr: string;
    opt: string;
    rv: string;
    safari: string;
    samsungbrowser: string;
    electron: string;
};
declare const KnownPlatforms$1: {
    android: string;
    androidTablet: string;
    cros: string;
    fennec: string;
    ipad: string;
    iphone: string;
    jsdom: string;
    linux: string;
    mac: string;
    tablet: string;
    win: string;
    'windows phone': string;
    xbox: string;
};

declare const KnownBrowsers: {
  chrome: string;
  brave: string;
  crios: string;
  edge: string;
  edg: string;
  fennec: string;
  jsdom: string;
  mozilla: string;
  msie: string;
  opera: string;
  opios: string;
  opr: string;
  opt: string;
  rv: string;
  safari: string;
  samsungbrowser: string;
  electron: string;
};

declare const KnownPlatforms: {
  android: string;
  androidTablet: string;
  cros: string;
  fennec: string;
  ipad: string;
  iphone: string;
  jsdom: string;
  linux: string;
  mac: string;
  tablet: string;
  win: string;
  'windows phone': string;
  xbox: string;
};

declare type ValueOf<T> = T[keyof T];
type KnownBrowsersKeys = keyof typeof KnownBrowsers;
type KnownPlatformsKeys = keyof typeof KnownPlatforms;

interface BrowserInfo {
  name: ValueOf<KnownBrowsersKeys> | null;
  platform: ValueOf<KnownPlatformsKeys> | null;
  userAgent: string;
  version: string | null;
  shortVersion: string | null;
}

interface BrowserInfoFull extends BrowserInfo {
  isAndroid: boolean;
  isTablet: boolean;
  isMobile: boolean;
  isDesktop: boolean;
  isWebkit: boolean;
  isIE: boolean;
}

declare class BrowserDetector {
    userAgent: string | null;
    constructor(inputUA?: string);
    static get VERSION(): string;
    parseUserAgent(userAgent?: string): BrowserInfoFull;
    getBrowserInfo(): BrowserInfo;
}

export { BrowserDetector, KnownBrowsers$1 as KnownBrowsers, KnownPlatforms$1 as KnownPlatforms, BrowserDetector as default };
